Bug 734810 - RHEL5.6 i386 ami does not have swap partition entries in fstab
RHEL5.6 i386 ami does not have swap partition entries in fstab
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: releng (Show other bugs)
5.6
Unspecified Linux
unspecified Severity medium
: rc
: ---
Assigned To: Tomas Kopecek
Release Test Team
: EC2
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-31 10:24 EDT by Kedar Bidarkar
Modified: 2011-10-11 17:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-11 17:15:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kedar Bidarkar 2011-08-31 10:24:23 EDT
Description of problem:

[root@ip-10-203-50-29 ~]# cat /etc/fstab
LABEL=/    /         ext3    defaults        1 1
none       /proc     proc    defaults        0 0
none       /sys      sysfs   defaults        0 0
none       /dev/pts  devpts  gid=5,mode=620  0 0
none       /dev/shm  tmpfs   defaults        0 0
[root@ip-10-203-50-29 ~]# parted -l | grep swap 
 1      0.00kB  940MB  940MB  linux-swap        
[root@ip-10-203-50-29 ~]# cat /etc/redhat-release
Red Hat Enterprise Linux Server release 5.6 (Tikanga)


Version-Release number of selected component (if applicable):
rhel5.6
ami-780efd11
337935342288/RHEL-5.6-Starter-EBS-i386-7-Access

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:
No swap partition entry in /etc/fstab

Expected results:
Swap partition entry in /etc/fstab required.

Additional info:
Comment 1 wes hayutin 2011-08-31 11:59:15 EDT
Disk /dev/sda3: 940MB
Sector size (logical/physical): 512B/512B
Partition Table: loop

Number  Start   End    Size   File system  Flags
 1      0.00kB  940MB  940MB  linux-swap        



Model: Unknown (unknown)
Disk /dev/sda1: 6442MB
Sector size (logical/physical): 512B/512B
Partition Table: loop

Number  Start   End     Size    File system  Flags
 1      0.00kB  6442MB  6442MB  ext3             

 


[root@domU-12-31-39-0F-CE-37 dev]# free
             total       used       free     shared    buffers     cached
Mem:       1740984     462852    1278132          0         52     371468
-/+ buffers/cache:      91332    1649652
Swap:            0          0          0


[root@domU-12-31-39-0F-CE-37 dev]# swapon -a
[root@domU-12-31-39-0F-CE-37 dev]# free
             total       used       free     shared    buffers     cached
Mem:       1740984     462852    1278132          0        136     371436
-/+ buffers/cache:      91280    1649704
Swap:            0          0          0
Comment 2 Jay Greguske 2011-08-31 12:04:23 EDT
kickstart added the swap entry in fstab if $(uname -m) == i386. In RHEL 5 it's i686; I've corrected this.
Comment 3 Tomas Kopecek 2011-09-06 04:45:08 EDT
There will be no more AMIs for RHEL 5.6. This problem should be fixed in 5.7 images as Jay fixed it before 5.7 release. Is it right Jay? If yes, we probably can close it as WONTFIX.
Comment 5 Jay Greguske 2011-10-11 17:15:31 EDT
Fixed in the catalog rebuild in October.

Note You need to log in before you can comment on or make changes to this bug.